# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define	section		free

Name:		tranql-connector-derby
Summary:	TranQL connector for Derby
Url:		http://tranql.codehaus.org/
Version:	1.2
Release:	1jpp
Epoch:		0
License:	Apache Software License 2
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	tranql-connector-derby-1.2.tar.gz
# svn export http://svn.codehaus.org/tranql/vendors/derby/trunk/ tranql-connector-derby

Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        tranql-connector-derby-1.2-jpp-depmap.xml

Patch0:		tranql-connector-derby-1.2-project_xml.patch

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	junit
BuildRequires:	maven >= 0:1.1
BuildRequires:	saxon
BuildRequires:	saxon-scripts
#
BuildRequires:	derby
BuildRequires:	geronimo-j2ee-connector-1.5-api
BuildRequires:	geronimo-jta-1.0.1B-api
BuildRequires:	tranql-connector
#
Requires:	derby
Requires:	j2ee-connector
Requires:	jta
Requires:	tranql-connector
%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
TranQL Derby connector.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%patch0 -b .sav

export DEPCAT=$(pwd)/tranql-connector-derby-1.2-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > tranql-connector-derby-1.2-depmap.new.xml


%build
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

maven	-Dmaven.repo.remote=file:/usr/share/maven/repository \
	-Dmaven.home.local=$(pwd)/.maven

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 common/target/%{name}-common-%{version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-common-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# rars
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 client-local/target/%{name}-client-local-%{version}-SNAPSHOT.rar \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-client-local-%{version}.rar
install -m 644 embed-local/target/%{name}-embed-local-%{version}-SNAPSHOT.rar \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-embed-local-%{version}.rar
install -m 644 client-xa/target/%{name}-client-xa-%{version}-SNAPSHOT.rar \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-client-xa-%{version}.rar
install -m 644 embed-xa/target/%{name}-embed-xa-%{version}-SNAPSHOT.rar \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-embed-xa-%{version}.rar
(cd $RPM_BUILD_ROOT%{_datadir}/%{name} && for rar in *-%{version}*; do ln -sf ${rar} `echo $rar| sed  "s|-%{version}||g"`; done)

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root)
%{_javadir}/*
%{_datadir}/%{name}
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-common-%{version}.jar.*
%attr(-,root,root) %{_libdir}/debug%{_libdir}/gcj/%{name}/%{name}-common-%{version}.jar.so.debug
%endif


%changelog
* Fri Nov 17 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2-1jpp
- First release
- Assure unversioned access to rars
- Add gcj_support option
- Add post/postun Requires for javadoc

